PHP 7.4.x < 7.4.24 任意檔案寫入

medium Nessus Plugin ID 154656

Synopsis

遠端 Web 伺服器上執行的 PHP 版本受到一個弱點影響。

描述

遠端主機上安裝的 PHP 版本為 7.4.25 之前的 7.4.x 版本。因此,其會受到版本 7.4.24 公告中所提及的一個弱點影響。在 Microsoft Windows 環境中,ZipArchive::解壓縮 ZIP 檔案時,extractTo 可能會遭到誘騙而寫入目標目錄之外的檔案,因而可能造成依作業系統權限而建立或覆寫檔案。

請注意,Nessus 並未測試此問題,而是僅依據應用程式自我報告的版本號碼。

解決方案

升級至 PHP 7.4.24 版或更新版本。

另請參閱

http://bugs.php.net/81420

http://php.net/ChangeLog-7.php#7.4.24

Plugin 詳細資訊

嚴重性: Medium

ID: 154656

檔案名稱: php_7_4_24.nasl

版本: 1.4

類型: remote

系列: CGI abuses

已發布: 2021/10/28

已更新: 2022/4/11

風險資訊

CVSS 評分資料來源: CVE-2021-21706

VPR

風險因素: Medium

分數: 4.4

CVSS v2

風險因素: Medium

基本分數: 4.3

時間分數: 3.2

媒介: AV:N/AC:M/Au:N/C:N/I:P/A:N

時間媒介: E:U/RL:OF/RC:C

CVSS v3

風險因素: Medium

基本分數: 6.5

時間分數: 5.7

媒介: CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:H/A:N

時間媒介: E:U/RL:O/RC:C

弱點資訊

CPE: cpe:/a:php:php

必要的 KB 項目: www/PHP, installed_sw/PHP

可輕鬆利用: No known exploits are available

修補程式發佈日期: 2021/9/23

弱點發布日期: 2021/10/4

參考資訊

CVE: CVE-2021-21706

IAVA: 2021-A-0503